#include <stdio.h>

#include "hpdi32.h"
#include "hpdi32_dsl.h"

U32	hpdi32_dsl_status_text(U32 stat, int verbose)
{
	char	buf[128];
	U32		status;

	status	= hpdi32_status_text(stat, buf, sizeof(buf));

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_status_text() failure: 0x%lX\n", (long) status);
	}
	else
	{
		printf("Status: 0x%lX: %s\n", (long) stat, buf);
	}

	return(status);
}
