// HPDI32 - Utilities - Any OS - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/utils/hpdi32_util.h $
// $Rev: 3630 $
// $Date: 2009-10-12 10:21:12 -0500 (Mon, 12 Oct 2009) $

#ifndef __HPDI32_UTIL_H__
#define __HPDI32_UTIL_H__

#include "hpdi32.h"
#include "gsc_util.h"


// prototypes	***************************************************************

int			dev_api_status(void);
int			dev_board_count(void);
int			dev_close(int index, void* dev);
int			dev_open(U8 index, void** dev);
int			dev_reg_mod(void* dev, U32 reg, U32 value,U32 mask, int verbose);
int			dev_reg_read(void* dev, U32 reg, U32* value, int verbose);
int			dev_reg_write(void* dev, U32 reg, U32 value, int verbose);

int			id_hardware(void* dev, int index);
int			id_features(void* dev);
int			id_software(void* dev, const char* app_ver);

int			label_fail_func(int verbose, const char* func, U32 status);

int			operation_issues(void* handle, long* tx_size, long* rx_size);

int			reg_list(void* dev, int pci, int plx, int gsc);
const char*	reg_name(U32 reg);



#endif
