// HPDI32 - Application - Win32 - Any Compiler
// $URL: http://subversion:8080/svn/gsc/trunk/drivers/SDK/hpdi32/ringbuf/win32/gui_start.c $
// $Rev: 2809 $
// $Date: 2009-07-29 21:26:35 -0500 (Wed, 29 Jul 2009) $

#include <windows.h>

#include "gui.h"
#include "proc.h"
#include "resource.h"



/* variables	*************************************************************/

static	HANDLE		_control;



/*****************************************************************************
*
*	Function:	start_init
*
*	Purpose:
*
*		Initialize things for the START button.
*
*	Arguments:
*
*		None.
*
*	Returned:
*
*		None.
*
*****************************************************************************/

void start_init(void)
{
	_control	= GetDlgItem(gui.dlg, IDC_START);
}



/*****************************************************************************
*
*	Function:	start_refresh
*
*	Purpose:
*
*		Refresh the START button.
*
*	Arguments:
*
*		None.
*
*	Returned:
*
*		None.
*
*****************************************************************************/

void start_refresh(void)
{
	if (gui.dev_qty <= 0)
		EnableWindow(_control, FALSE);
	else if ((gui.working) || (gui.buf_size_invalid))
		EnableWindow(_control, FALSE);
	else
		EnableWindow(_control, TRUE);

	SendMessage(_control, WM_PAINT, 0, 0);
}


